@font-face {
    font-family: 'Poppins';
    src: url('https://cdn.taurusnetwork.uk/static/fonts/Poppins/Poppins-Regular.ttf') format('truetype');
    font-weight: normal;
}

@font-face {
    font-family: 'Poppins';
    src: url('https://cdn.taurusnetwork.uk/static/fonts/Poppins/Poppins-SemiBold.ttf') format('truetype');
    font-weight: bold;
}

@font-face {
    font-family: 'Poppins';
    src: url('https://cdn.taurusnetwork.uk/static/fonts/Poppins/Poppins-Italic.ttf') format('truetype');
    font-style: italic;
}

html {
    font-size: 16px;

    --colour-background: #ECF4F5;
    --colour-brand-primary: #1D1D36;
    --colour-brand-secondary: #B59957;
    --colour-brand-tertiary: #949494;
    --colour-white: #F5F5F5;

    --layout-max-width: 1400px;
    --layout-gutter: 14px;
    --layout-section-gap: 56px;
    --layout-header-height: 136px;

    --box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);

    @media (max-width: 768px) {
        --layout-section-gap: 28px;
    }
}

body {
    font-family: 'Poppins', sans-serif;
    background-color: var(--colour-background);
    display: flex;
    flex-direction: column;
    min-height: 100vh;

    main {
        flex: 1;
        display: flex;
        flex-direction: column;
        gap: var(--layout-section-gap);
        margin-top: calc(var(--layout-header-height) + var(--layout-section-gap));

        @media (max-width: 900px) {
            margin-top: var(--layout-header-height);
        }

        overflow-x: hidden;
    }

    &:has(dialog[open]) {
        overflow: hidden;
    }
}

button, .button {
    border-radius: 9px;
    padding: 10px 20px;
    border: none;
    cursor: pointer;

    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;

    text-decoration: none;

    --text-colour: black;
    --bg-colour: lime;
    --bg-hover-colour: color-mix(in srgb, var(--bg-colour) 80%, black);
    --bg-active-colour: color-mix(in srgb, var(--bg-colour) 50%, black);

    &.primary {
        --text-colour: var(--colour-white);
        --bg-colour: var(--colour-brand-primary);
    }

    &.secondary {
        --bg-colour: var(--colour-brand-secondary);
    }

    &.tertiary, &.plain {
        --bg-colour: var(--colour-brand-tertiary);
    }

    &.plainest {
        --bg-colour: transparent;
    }

    color: var(--text-colour);
    background-color: var(--bg-colour);

    &:hover {
        background-color: var(--bg-hover-colour);
    }

    &:active {
        background-color: var(--bg-active-colour);
    }
}

div.button-row {
    display: flex;
    flex-wrap: wrap;
    gap: var(--layout-gutter);
    align-items: center;
}

label.input {
    display: flex;
    flex-direction: column;
    gap: 4px;

    span {
        font-weight: normal;
    }

    input, textarea {
        border-radius: 0;
        border: solid 1px var(--colour-brand-primary);
        padding: 4px;
        height: 50px;
        resize: vertical;
    }

    &:has(input[type="checkbox"]) {
        flex-direction: row;
        align-items: center;

        input[type="checkbox"] {
            margin-right: var(--layout-gutter);
            width: 30px;
            height: 30px;
            border-radius: 0;
            border: solid 1px var(--colour-brand-primary);
            padding: 0;
        }
    }
}

div.input-row {
    display: flex;
    gap: var(--layout-gutter);
    align-items: center;
    flex-wrap: wrap;

    > * {
        flex: 1;
    }
}

form {
    display: flex;
    flex-direction: column;
    gap: var(--layout-gutter);
}

section {
    > div.content-strip {
        background-color: white;
        padding: var(--layout-gutter);
        box-shadow: var(--box-shadow);
        margin-top: 7px;
        width: 100%;
    }

    &.interrupt {
        background-color: var(--colour-brand-primary);
        color: var(--colour-white);
        padding: calc(var(--layout-gutter) * 2);
        text-align: center;
        width: 100%;
        font-size: 1.8rem;
        font-weight: bold;
    }
}

.container, .contained {
    max-width: var(--layout-max-width);
    margin: 0 auto;
    width: 100%;
    padding: 0 var(--layout-gutter);
}

header {
    background-color: var(--colour-brand-primary);
    color: var(--colour-white);
    box-shadow: var(--box-shadow);
    transition: max-height 0.5s ease-in-out;
    max-height: var(--layout-header-height);
    height: 100%;
    overflow: hidden;
    width: 100%;
    z-index: 1000;
    position: fixed;

    div.container {
        padding: calc(var(--layout-gutter) * 2);
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: var(--layout-gutter);

        a.brand {
            img {
                height: 80px;
            }
        }

        button.menu-toggle {
            display: none;
        }

        nav {
            display: flex;
            gap: calc(var(--layout-gutter) * 2);

            a {
                color: var(--colour-white);
                text-decoration: none;

                &:hover {
                    text-decoration: underline;
                }
            }
        }
    }

    @media (max-width: 768px) {
        div.container {
            button.menu-toggle {
                display: block;
                background-color: transparent !important;

                svg {
                    fill: white;
                    width: 30px;
                    height: 30px;
                }
            }

            nav {
                display: none;
            }
        }
    }
}

body > sidebar.menu {
    &:not(.open) {
        display: none;
    }

    position: fixed;
    top: var(--layout-header-height);
    left: 0;
    right: 0;
    bottom: 0;

    display: flex;
    align-items: stretch;

    div.backdrop {
        background-color: rgba(0, 0, 0, 0.5);
        flex: 1;
    }

    nav {
        background-color: color-mix(in srgb, var(--colour-brand-primary) 50%, black);
        width: min(85vw, 300px);
        display: flex;
        flex-direction: column;
        padding: var(--layout-gutter);
        gap: var(--layout-gutter);
        align-items: center;
        justify-content: center;

        a {
            color: white;
            font-size: 1.4rem;
            text-decoration: none;
        }
    }
}


footer {
    margin-top: var(--layout-section-gap);
    background-color: var(--colour-brand-primary);
    color: white;

    div.container {
        padding: var(--layout-gutter);
        padding-top: 28px;

        div.top {
            display: flex;
            justify-content: center;
            gap: var(--layout-gutter);
            margin-bottom: 28px;

            p.headline {
                font-size: 1.8rem;
                text-align: center;
            }
        }

        div.middle {
            display: flex;
            align-items: center;
            justify-content: space-between;
            gap: var(--layout-gutter);

            img {
                max-width: 350px;
            }

            div.tagline {
                flex: 1;
                text-align: center;
            }

            nav {
                display: flex;
                flex-direction: column;
                margin-bottom: 28px;

                a {
                    color: white;
                    text-decoration: none;
                    font-size: 1rem;
                    font-weight: bold;

                    &:hover {
                        text-decoration: underline;
                    }
                }
            }
        }

        div.bottom {
            padding-top: var(--layout-gutter);
            text-align: center;
            width: 100%;
            font-size: 0.8rem;
            margin-top: var(--layout-gutter);

            img {
                width: 500px;
                margin: 0 auto;
            }

            a {
                color: white;
                font-weight: bold;
            }
        }

        @media (max-width: 900px) {
            div.top {
                flex-direction: column;
                justify-content: center;
                text-align: center;

                div.cta {
                    align-items: center;

                    p.free-consultation-text {
                        font-size: 0.8rem;
                    }
                }
            }

            div.middle {
                flex-direction: column-reverse;

                nav {
                    margin-top: var(--layout-gutter);
                    * {
                        text-align: center;
                    }
                }
            }
        }
    }
}

dialog.enquiry-flow {
    margin: auto;
    max-width: 800px;
    width: 95%;
    border: none;
    border-radius: 8px;
    position: fixed;

    @media (max-width: 800px) {
        margin-left: var(--layout-gutter);
        margin-right: var(--layout-gutter);    
    }

    div.loader {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: rgba(0, 0, 0, 0.5);
    
        svg {
            width: 125px;
            height: 125px;
            fill: white;
            animation: loading 2s infinite linear;
            transform-origin: center center;
        }
    }

    &:not(.loading) {
        div.loader {
            display: none !important;
        }
    }

    &::backdrop {
        background-color: rgba(0, 0, 0, 0.7);
    }
    
    div.top {
        display: flex;
        gap: var(--layout-gutter);
        align-items: center;
        justify-content: space-between;

        p.title {
            font-size: 1.4rem;
            font-weight: bold;
        }

        form {
            margin-top: 0;
            display: flex;
            gap: var(--layout-gutter);
            align-items: center;

            button {
                height: 40px;
                width: 40px;
                padding: 0;
                border-radius: 9px;

                svg {
                    width: 30px;
                    height: 30px;
                    fill: black;
                }
            }
        }
    }

    div.stage {
        &:not(.active) {
            display: none !important;
        }

        margin-top: var(--layout-gutter);

        &.success, &.error {
            padding: var(--layout-gutter);
            display: flex;
            gap: var(--layout-gutter);
            align-items: center;
            justify-content: space-between;

            svg {
                width: 40px;
                height: 40px;
                margin: 0;
                fill: white;
            }
            
            &.success {
                background-color: var(--colour-brand-primary);
                color: white;
            }

            &.error {
                background-color: rgb(128, 28, 28);
                color: white;
            }

            div {
                p.title {
                    font-size: 1.4rem;
                    font-weight: bold;
                }
                
                > *:not(:first-child) {
                    margin-top: 7px;
                }
            }
        }
    }
    
}

@keyframes loading {
    0% {
        transform: rotate(0)
    }

    to {
        transform: rotate(360deg)
    }
}

img {
    border-radius: 18px;
    object-fit: cover;
}
                                                                             
div.photo-grid {
    --size: 130px;
    overflow: hidden;
    width: fit-content;
    display: grid;
    grid-template-columns: repeat(var(--columns, 5), 1fr);
    grid-auto-rows: var(--size);
    gap: var(--layout-gutter);

    > img, > div {
        width: 100%;
        height: 100%;
        min-width: var(--size);
        display: block;
        object-fit: cover;
        background-color: silver;

        &:nth-child(1), &:nth-child(4) {
            grid-row: span 2;
        }

        &:nth-child(6) {
            grid-column: span 2;
        }
    }
}

div.tags {
    display: flex;
    gap: 4px;

    span {
        background-color: var(--colour-brand-tertiary);
        padding: 4px 8px;
        font-size: 0.8rem;
        border-radius: 4px;
    }
}